*,
*:before,
*:after {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html, body {
    height: 100%; /* Asegura que el body ocupe todo el alto */
    background-color: #121212; /* Fondo oscuro */
}

.background {
    width: 100%;
    height: 100%;
    position: absolute; /* Ocupa toda la pantalla */
    display: flex;
    justify-content: center;
    align-items: center;
}

.shape {
    position: absolute;
    border-radius: 50%;
    opacity: 0.6; /* Efecto de transparencia */
}

.shape:first-child {
    height: 300px;
    width: 300px;
    background: linear-gradient(45deg, #ff6a00, #ee0979);
    left: -100px;
    top: -100px;
}

.shape:last-child {
    height: 250px;
    width: 250px;
    background: linear-gradient(45deg, #00c6ff, #0072ff);
    right: -80px;
    bottom: -80px;
}

form {
    width: 400px;
    background-color: rgba(255, 255, 255, 0.2);
    border-radius: 15px;
    backdrop-filter: blur(10px);
    box-shadow: 0 4px 40px rgba(0, 0, 0, 0.5);
    padding: 40px;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative; /* Para que se posicione en relación a .background */
    z-index: 1; /* Asegura que el formulario esté por encima de las formas */
}

form h3 {
    font-size: 28px;
    font-weight: 700;
    color: #ffffff;
    margin-bottom: 20px;
}

label {
    width: 100%;
    margin-top: 20px;
    font-size: 16px;
    color: #ffffff;
}

input {
    display: block;
    width: 100%;
    height: 45px;
    background-color: rgba(255, 255, 255, 0.1);
    border-radius: 8px;
    padding: 0 15px;
    margin-top: 8px;
    font-size: 16px;
    color: #ffffff;
    border: none;
    transition: background-color 0.3s;
}

input:focus {
    background-color: rgba(255, 255, 255, 0.2);
    outline: none;
}

::placeholder {
    color: #cccccc;
}

button {
    margin-top: 30px;
    width: 100%;
    background-color: #0072ff;
    color: white;
    padding: 12px 0;
    font-size: 18px;
    font-weight: 600;
    border-radius: 8px;
    cursor: pointer;
    border: none;
    transition: background-color 0.3s;
}

button:hover {
    background-color: #005bb5;
}

.fallo {
    background: #e74c3c;
    color: white;
    padding: 10px;
    text-align: center;
    border-radius: 5px;
    margin-top: 20px;
    width: 100%;
}

.btn {
    text-align: right;
    cursor: pointer;
    padding: 5px;
    margin-top: 10px; /* Espaciado para una mejor visualización */
}